Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMesaImageMapper Class Reference

`#include <vtkMesaImageMapper.h>`

Inheritance diagram for vtkMesaImageMapper:

[legend]
Collaboration diagram for vtkMesaImageMapper:

[legend]
List of all members.

## Detailed Description

2D image display support for Mesa

Date:
  2002/08/22 18:39:30

Revision:
  1.12

vtkMesaImageMapper is a concrete subclass of vtkImageMapper that renders images under Mesa

See also:
  vtkImageMapper

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (62%)
  - Hoffman, Bill (29%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkMesaImageMapper.h)`
  - .`cxx` (`/Rendering/vtkMesaImageMapper.cxx)`

Definition at line 48 of file vtkMesaImageMapper.h.

## Public Types
typedef vtkImageMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | RenderOpaqueGeometry (vtkViewport *viewport, vtkActor2D *actor)
void | RenderData (vtkViewport *viewport, vtkImageData *data, vtkActor2D *actor)
## Static Public Methods
vtkMesaImageMapper * | New ()
int | IsTypeOf (const char *type)
vtkMesaImageMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMesaImageMapper ()
| ~vtkMesaImageMapper ()

## Member Typedef Documentation

typedef vtkImageMapper vtkMesaImageMapper::Superclass

| Reimplemented from vtkImageMapper. Definition at line 52 of file vtkMesaImageMapper.h.

## Constructor & Destructor Documentation

vtkMesaImageMapper::vtkMesaImageMapper | ( |  | ) | `[protected]`

vtkMesaImageMapper::~vtkMesaImageMapper | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMesaImageMapper* vtkMesaImageMapper::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageMapper.

virtual const char* vtkMesaImageMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageMapper.

int vtkMesaImageMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMapper.

virtual int vtkMesaImageMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMapper.

vtkMesaImageMapper* vtkMesaImageMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageMapper.

virtual void vtkMesaImageMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageMapper.

void vtkMesaImageMapper::RenderOpaqueGeometry | ( | vtkViewport * | viewport,
|  | vtkActor2D * | actor
| ) | `[inline, virtual]`

| Handle the render method. Reimplemented from vtkMapper2D. Definition at line 57 of file vtkMesaImageMapper.h. References vtkImageMapper::RenderStart().

void vtkMesaImageMapper::RenderData | ( | vtkViewport * | viewport,
|  | vtkImageData * | data,
|  | vtkActor2D * | actor
| ) | `[virtual]`

| Called by the Render function in vtkImageMapper. Actually draws the image to the screen. Implements vtkImageMapper.

The documentation for this class was generated from the following file:

- Rendering/vtkMesaImageMapper.h